/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { StandardDeviationIndicatorStrategy } from "./StandardDeviationIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core/ES2015/type";
export class StandardDeviationIndicator extends StrategyBasedIndicator {
    get_p0() {
        return new StandardDeviationIndicatorStrategy();
    }
    get p0() {
        return this.get_p0();
    }
    get_qd() {
        return StandardDeviationIndicator.$;
    }
    get qd() {
        return this.get_qd();
    }
    get ql() {
        return typeGetValue(this.c(StandardDeviationIndicator.qm));
    }
    set ql(a) {
        this.h(StandardDeviationIndicator.qm, a);
    }
    p6() {
        return this.ql;
    }
    qf(a) {
        this.ql = a;
    }
}
StandardDeviationIndicator.qm = StrategyBasedIndicator.qi(20, StandardDeviationIndicator.$);
StandardDeviationIndicator.$t = markType(StandardDeviationIndicator, 'StandardDeviationIndicator', StrategyBasedIndicator.$);
/*<BeginStatics Name="Infragistics.Controls.Charts.StandardDeviationIndicator" />*/
/*<EndStatics Name="Infragistics.Controls.Charts.StandardDeviationIndicator" />*/
